import 'package:cpt_vn/modules/main/main_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/vn_service.dart';

/// VN组件对应的路由实现类
class VNServiceImpl extends GetxService implements VNService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startVNMainPage() {
    VNMainPage.startWithPopAll();
  }
}
